Bug 456129 - Tooltip for the new big buttons closes immediately if hovering same button again
Summary: Tooltip for the new big buttons closes immediately if hovering same button again
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.25.2
Platform: Neon Packages Linux
: NOR minor
Target Milestone: ---
Assignee: Nate Graham
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-29 13:30 UTC by nttkde
Modified: 2022-07-04 00:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.3


Attachments
video (81.70 KB, video/mp4)
2022-06-29 13:30 UTC, nttkde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nttkde 2022-06-29 13:30:39 UTC
Created attachment 150262 [details]
video

Tooltip for the new big 'Documentation/Website/Donate/Report a bug' buttons (eg. on Krita's app page) closes immediately if the previously focused button (within those 4) was the same one. See the attached video

KDE Neon User
Plasma 5.25.2
X11
Comment 1 Nate Graham 2022-06-29 16:37:11 UTC
Urgh, can reproduce. Probably an issue with the shared ToolTip instance. We could instantiate a new one per button, at the cost of some memory.
Comment 2 Bug Janitor Service 2022-06-29 22:51:00 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/326
Comment 3 Nate Graham 2022-07-04 00:50:57 UTC
Git commit 24d3c665c733ece4cd4a0414d6b70b602e0a81a6 by Nate Graham.
Committed on 04/07/2022 at 00:45.
Pushed by ngraham into branch 'master'.

ApplicationResourceButton: switch to individual ToolTip instances

We currently use a shared tooltip ostensibly to save memory, but the
shared opening/closing conditions cause the tooltips to close too early
when the cursor has hovered over more then one button by the time it
comes to rest on a different one.

To fix around this in the simplest way, let's switch to give each button
a unique ToolTip instance. In testing, there is no appreciable increase
in memory usage.
FIXED-IN: 5.25.3

M  +3    -4    discover/qml/ApplicationResourceButton.qml

https://invent.kde.org/plasma/discover/commit/24d3c665c733ece4cd4a0414d6b70b602e0a81a6
Comment 4 Nate Graham 2022-07-04 00:52:52 UTC
Git commit 71623684d6d638481eb007e0e9ee8e54c9ae0274 by Nate Graham.
Committed on 04/07/2022 at 00:52.
Pushed by ngraham into branch 'Plasma/5.25'.

ApplicationResourceButton: switch to individual ToolTip instances

We currently use a shared tooltip ostensibly to save memory, but the
shared opening/closing conditions cause the tooltips to close too early
when the cursor has hovered over more then one button by the time it
comes to rest on a different one.

To fix around this in the simplest way, let's switch to give each button
a unique ToolTip instance. In testing, there is no appreciable increase
in memory usage.
FIXED-IN: 5.25.3


(cherry picked from commit 24d3c665c733ece4cd4a0414d6b70b602e0a81a6)

M  +3    -4    discover/qml/ApplicationResourceButton.qml

https://invent.kde.org/plasma/discover/commit/71623684d6d638481eb007e0e9ee8e54c9ae0274